"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
class Env {
    constructor({ target = 'client', mode = defaultMode() } = {}) {
        this.target = target;
        this.mode = mode;
    }
    get isClient() {
        return this.target === 'client';
    }
    get isServer() {
        return this.target === 'server';
    }
    get isProduction() {
        return this.mode === 'production';
    }
    get isDevelopment() {
        return this.mode === 'development';
    }
    get isNotDevelopment() {
        return !this.isDevelopment;
    }
    get isTest() {
        return this.mode === 'test';
    }
    get isCircleCI() {
        return process.env.CIRCLECI === 'true';
    }
    get isCI() {
        return process.env.CI === 'true' || process.env.CI === '1';
    }
    get isDevelopmentClient() {
        return this.isDevelopment && this.isClient;
    }
    get isProductionClient() {
        return this.isProduction && this.isClient;
    }
    get isTestClient() {
        return this.isTest && this.isClient;
    }
    get isDevelopmentServer() {
        return this.isDevelopment && this.isServer;
    }
    get isProductionServer() {
        return this.isProduction && this.isServer;
    }
    get isShopifyBuild() {
        return process.env.SHOPIFY_BUILD_VERSION != null;
    }
    get isTestServer() {
        return this.isTest && this.isServer;
    }
}
exports.default = Env;
function defaultMode() {
    return process.env.NODE_ENV || 'production';
}